<?php if (!defined('PmWiki')) exit();
/**
 * set_tips_file.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2005-2012
 * @note This file is part of Cookbook recipe "Infobox" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package infobox
 */

## Set Default / Group and Page tips
  // **********************************************************
  SDV($Infobox['default']['MenuFilePath'], "uploads/Infobox/"); #not implemented
  SDV($Infobox['default']['MenuFileExt'], ".js"); #not implemented
  SDV($Infobox['default']['MenuFile'], $Infobox['Current']['dir'].'/inbuiltinfotips.js');

  $Infobox['menu']['PageNameFmt']['Site'] =
      $Infobox['default']['MenuPageGroup'] . '.' .
      $Infobox['default']['MenuPageName'];
  $Infobox['menu']['PageNameFmt']['Group'] =
      $Infobox['page']['CurrentGroup'] . '.' .
      $Infobox['default']['MenuPageName'];
  $Infobox['menu']['PageNameFmt']['Page'] =
      $Infobox['page']['CurrentGroup'] . '.' .
      $Infobox['page']['CurrentName'] .
      $Infobox['default']['MenuPageName'];
  $Infobox['menu']['PageNameFmt']['Default'] =
      $Infobox['default']['MenuFile']; // '.' string check
  // **********************************************************

$IBPageFmt = array();
$IBPageFmt['page'] = infobox_get_tips_page('page',$Infobox['menu']['PageNameFmt']['Page']);
$IBPageFmt['group'] = infobox_get_tips_page('group',$Infobox['menu']['PageNameFmt']['Group']);
if ($Infobox['menu']['PageNameFmt']['Site'] != $Infobox['menu']['PageNameFmt']['Group']) {
  $IBPageFmt['site'] = infobox_get_tips_page('default',$Infobox['menu']['PageNameFmt']['Site']);
}

if (file_exists('local/localinfotips.js')) {
  $IBPageFmt['local'] = file_get_contents('local/localinfotips.js') . "\n";
}
if (file_exists($Infobox['default']['MenuFile'])) {
  $IBPageFmt['inbuilt'] = file_get_contents($Infobox['default']['MenuFile']) . "\n";
}

$HTMLFooterFmt['InfoBoxFmt'] =
"\n<!--InfoBoxFmt-->
<div id='infodiv' style='position: absolute; visibility: hidden; z-index: 20; top: 0px; left: 0px;'></div>
<script language='JavaScript' type='text/javascript'><!-- //" . "\n" .
'//page'."\n" .
$IBPageFmt['page'] . #Previous ones takes precedence over the later.
'//group'."\n" .
$IBPageFmt['group'] .
'//site'."\n" .
$IBPageFmt['site'] .
'//local'."\n" .
$IBPageFmt['local'] .
$IBPageFmt['inbuilt'] .
"// -->
</script>
<!--/InfoBoxFmt-->\n";
// *******************************************************

  if($EnableInfoboxDebug > 0) {
    //$Infobox['debug']['msg']['IBPageFmt'][] = $IBPageFmt;
  }

